// Copyright 2010 Thomas Kamps anubis1@linux-ecke.de
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the7 implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#ifndef TICTACTOE_H
#define TICTACTOE_H

#include <QObject>

class TicTacToe : public QObject {
	Q_OBJECT

	public:
		explicit TicTacToe(QObject *parent = 0);
		void reset(int beginner=1);
		void move(int x, int y, int player);
		int getState(int x, int y);
		int getNumMoves();

	signals:
		void playerWon(int player);

	private slots:
		void stopGame();

	private:
		int state[3][3];
		int currentPlayer;
		bool gameOver;
		int moveCount;
		void checkForVictory();
};

#endif // TICTACTOE_H
