// Copyright 2010 Thomas Kamps anubis1@linux-ecke.de
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the7 implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#ifndef TTT_H
#define TTT_H

#include <QWidget>
#include "tictactoe.h"
#include "ttt_ai.h"

namespace Ui {
	class TTT;
}

class TTT : public QWidget {
	Q_OBJECT

	public:
		TTT(QWidget *parent = 0);
		~TTT();

	protected:
		void changeEvent(QEvent *e);

	private slots:
		void newGame();
		void showWinner(int player);
		void makeAIMove(int x, int y);
		void makeHumanMove(int x, int y);

	private:
		Ui::TTT *ui;
		TicTacToe* ttt;
		TTT_AI* ai;

		int playerAI;
		int playerHuman;
};

#endif // TTT_H
