// Copyright 2010 Thomas Kamps anubis1@linux-ecke.de
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the7 implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#include "tttsreen.h"
#include <QPainter>

TTTScreen::TTTScreen(QWidget *parent) : QWidget(parent) {
	game = 0;
}

void TTTScreen::setGame(TicTacToe *g) {
	game = g;
}

void TTTScreen::paintEvent(QPaintEvent *e) {
	int dwx = width()/3;
	int dwy = height()/3;

	QPainter p(this);
	p.fillRect(rect(), QColor(255,255,255));

	for (int x = 0; x < 3; x++) {
		for (int y = 0; y < 3; y++) {
			int s = game->getState(x,y);
			if (s == 1) p.drawImage(QRect(dwx*x,dwy*y,dwx,dwy), QImage(":/X.png"));
			if (s == 2) p.drawImage(QRect(dwx*x,dwy*y,dwx,dwy), QImage(":/O.png"));
		}
	}

	p.drawLine(dwx,0, dwx, height());
	p.drawLine(2*dwx,0, 2*dwx, height());
	p.drawLine(0, dwy, width(), dwy);
	p.drawLine(0, 2*dwy, width(), 2*dwy);

	p.end();
	e->accept();
}

void TTTScreen::mousePressEvent(QMouseEvent *e) {
	int px = e->x()*3/width();
	int py = e->y()*3/height();

	if (game->getState(px,py) == 0) emit(madeMove(px,py));
}
